#
# spec file for package perl-File-Mork
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name File-Mork
Name:           perl-File-Mork
Version:        0.400.0
Release:        1.1
# 0.4 -> normalize -> 0.400.0
%define cpan_version 0.4
#Upstream: SUSE-Public-Domain
License:        MIT
Summary:        Module to read Mozilla URL history files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SI/SIMONW/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(Module::Build) >= 0.4
Requires:       perl(HTML::Entities)
Provides:       perl(File::Mork) = %{version}
Provides:       perl(File::Mork::Entry)
%undefine       __perllib_provides
%{perl_requires}

%description
This is a module that can read the Mozilla URL history file -- normally
$HOME/.mozilla/default/*.slt/history.dat -- and extract the id, url, name,
hostname, first visted dat, last visited date and visit count.

To find your history file it might be worth using *Mozilla::Backup* which
has some platform-independent code for finding the profiles of various
Mozilla-isms (including Firefox, Camino, K-Meleon, etc.).

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples

%changelog
* Thu Feb  6 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Thu Jun  2 2016 coolo@suse.com
- track the MIT license also in cpanspec.yml
* Tue Dec 22 2015 coolo@suse.com
- updated to 0.4
  see /usr/share/doc/packages/perl-File-Mork/Changes
  20 Dec 2015 - v0.4 UTF-16
    Fixes for UTF-16 conversion error from Rob O'Neale and James Wright
* Tue Mar 27 2012 cfarrell@suse.com
- license update: MIT
  SPDX
* Mon Nov 21 2011 coolo@suse.com
- remove _service
* Mon Feb 21 2011 Greg.Freemyer@gmail.com
- initial package 0.3
  * created by cpanspec 1.78.03
